package com.zigzah.utils
{
	import flash.events.Event;
	import flash.filesystem.File;
	import flash.filesystem.FileMode;
	import flash.filesystem.FileStream;
	import flash.utils.ByteArray;
	
	/**A simple class that lets the user save a byteArray in a file, 
	 * and uses PathSaver to save the file location.*/
	public class FileSaver
	{
		private var ba:ByteArray
		
		/**The title of the save dialog window.*/
		public var dialog : String = "Save File";
		
		/**Constructor.
		 * @param bytes The byteArray that will be saved.*/
		public function FileSaver(bytes:ByteArray)
		{
			this.ba = bytes;
			
			
		}
		
		/**Opens a save dialog.
		 * @param name the default name of the file.
		 * @param fileID the id that will be used by PathSaver.*/
		public function save (name:String , fileID:String = "$defaultFile"):void
		{
			var file:File = PathSaver.getFile(fileID , false , name);
			file.addEventListener(Event.SELECT,saveBytes);
			file.browseForSave(dialog);
			
		}
		
		/**Writes the given bytes in the fileSystem.*/
		private function saveBytes (event:Event):void
		{
			var file:File = event.target as File;
			var fs:FileStream = new FileStream();
			fs.open(file , FileMode.WRITE)
			fs.writeBytes(ba);
			fs.close();
		}

	}
}